# LogHelper

Package tourplaner.business

## Class LogHelper

- java.lang.Object
- - tourplaner.business.LogHelper

    public class LogHelper
    extends java.lang.Object

Hilft beim Logging mit log4j

### Constructor Summary

Constructors
`LogHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `error​(java.lang.Exception e)` Log info in file und Console
`static void` `error​(java.lang.String msg, java.lang.String name)` Log info in file und Console
`static void` `fatal​(java.lang.String msg, java.lang.String name)` Log info in file und Console
`static void` `info​(java.lang.String msg, java.lang.String name)` Log info in file und Console
`static void` `warn​(java.lang.String msg, java.lang.String name)` Log info in file und Console

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogHelper

    public LogHelper()

### Method Detail

#### info

    public static void info​(java.lang.String msg,
                            java.lang.String name)

Log info in file und Console

Parameters:
  `msg` - Nachricht in dem Log
  `name` - Name des Log Eintrags

#### warn

    public static void warn​(java.lang.String msg,
                            java.lang.String name)

Log info in file und Console

Parameters:
  `msg` - Nachricht in dem Log
  `name` - Name des Log Eintrags

#### error

    public static void error​(java.lang.String msg,
                             java.lang.String name)

Log info in file und Console

Parameters:
  `msg` - Nachricht in dem Log
  `name` - Name des Log Eintrags

#### error

    public static void error​(java.lang.Exception e)

Log info in file und Console

Parameters:
  `e` - Exception

#### fatal

    public static void fatal​(java.lang.String msg,
                             java.lang.String name)

Log info in file und Console

Parameters:
  `msg` - Nachricht in dem Log
  `name` - Name des Log Eintrags